vim.g.mapleader = ","
vim.g.maplocalleader = ","

vim.opt.shell = 'bash'
vim.opt.fileformats = { "unix", "dos", "mac" }

vim.opt.mouse = "a"
vim.opt.clipboard = "unnamedplus"
vim.opt.breakindent = true
vim.opt.undofile = true

vim.opt.updatetime = 250
vim.opt.timeoutlen = 1000

vim.opt.splitright = true
vim.opt.splitbelow = true
vim.opt.scrolloff = 8

-- vim.opt.autochdir = true

-- Tabs
vim.opt.shiftwidth = 4
vim.opt.softtabstop = 4
vim.opt.tabstop = 4

-- UI
vim.opt.matchtime = 2
vim.opt.number = true
vim.opt.numberwidth = 4
vim.opt.relativenumber = true
vim.opt.showmatch = true
vim.opt.spelllang = "en_us"
vim.opt.wildmode = "list:longest"
vim.opt.cursorline = true

-- Indent
vim.opt.copyindent = true
vim.opt.preserveindent = true
vim.opt.smartindent = true
vim.opt.shiftround = true

-- Text Formatting/Layout
vim.opt.ignorecase = true
vim.opt.list = true
vim.opt.listchars = { tab = "» ", trail = "·", nbsp = "␣" }
vim.opt.inccommand = "split"
vim.opt.smartcase = true
vim.opt.wrap = false
vim.opt.whichwrap:append {
  ["<"] = true,
  [">"] = true,
  ["["] = true,
  ["]"] = true,
}
