-- https://github.com/morhetz/gruvbox
local M = { "morhetz/gruvbox" }

M.priority = 1000
M.dependencies = {
  -- https://github.com/nvim-lualine/lualine.nvim
  "nvim-lualine/lualine.nvim",
  opts = {
    options = {
      theme = "gruvbox",
    },
    sections = {
      lualine_a = { "mode" },
      lualine_b = { "diagnostics" },
      lualine_c = { { "filename", path = 3 } },
      lualine_x = { "encoding", "fileformat", "filetype" },
      lualine_y = { "progress" },
      lualine_z = { "location" }
    },
  },
}

function M.config()
  vim.cmd.colorscheme("gruvbox")
end

return M
