require file_age_in_seconds
require mkdir_if_missing

github_release_json() (
	PROJECT=$1
	DAY_IN_SECONDS=$((60 * 60 * 24))
	JSON=${XDG_CACHE_HOME}/apps/meta/${PROJECT}/releases.json
	mkdir_if_missing "$(dirname "${JSON}")"
	FILE_AGE=$(file_age_in_seconds "${JSON}")
	if [[ ! -f ${JSON} || ${FILE_AGE} -gt ${DAY_IN_SECONDS} ]]; then
		curl --silent --output "${JSON}" "https://api.github.com/repos/${PROJECT}/releases"
	fi
	echo "${JSON}"
)
